
def fetch_random_resource(url, headers=None, timeout=5):
    from urllib3 import PoolManager, HTTPError

    try:
        with PoolManager(headers=headers) as http:
            response = http.request('GET', url, timeout=timeout)
            return response.data
    except HTTPError as e:
        return f"HTTP error occurred: {e}"
    except Exception as e:
        return f"An error occurred: {e}"



